#!/bin/sh

# Example2: Reconstruct mri phantom at 128 pix. resolution
#           but this time using MULTIRESOLUTION initialization.
#           Note the -I flag in the commands for lower res. recons,
#             these switch on interpolation of the output image
#             by a factor of 2 (pixel-rep.) so that the result
#             can be used to init the reconstruction at the next 
#             finer resolution.
#           Note, that even after the 1st iteration at the finest scale,
#             the log posterior is already higher (=better) than that for
#             the final result in example_1.


../emisnew -i 25 -s 1.0 -p 2.0 -f 200 -r 32 -I ../data/mri_sino.mat none ex2_recon_32.mat

../emisnew -i 15 -s 1.0 -p 2.0 -f 200 -r 64 -I ../data/mri_sino.mat ex2_recon_32.mat ex2_recon_64.mat

../emisnew -i 15 -s 1.0 -p 2.0 -f 200 -r 128   ../data/mri_sino.mat ex2_recon_64.mat ex2_recon.mat


