#!/bin/sh

# Example2: Reconstruction of mri phantom using
#           ATTENUATION CORRECTION.
#           For this example, sinogram data
#           that includes attenuation is used (../data/mri_sino_wattn.mat).
#           The attenuation correction coefficients (which
#           would usually be obtained by forward projecting
#           a transmission reconstruction) are in the 
#           file ../data/mri_attn_for.mat .
#           Note the -T option for the transmission correction.
#           Multiresolution init is used as in Ex. 2.
#           Note, that due to the different data set,
#           the signal to noise ratio here is much lower than in
#           the other examples.
#
#           If you're curious, you can take out the 
#           '-T ../data/mri_attn_for.mat'
#           from ALL 3 command lines and see what happens
#           without correction.

../emisnew -i 25 -s 1.0 -T ../data/mri_attn_for.mat -p 2.0 -f 200 -r 32 -I ../data/mri_sino_wattn.mat none ex4_recon_32.mat

../emisnew -i 15 -s 1.0 -T ../data/mri_attn_for.mat -p 2.0 -f 200 -r 64 -I ../data/mri_sino_wattn.mat ex4_recon_32.mat ex4_recon_64.mat

../emisnew -i 15 -s 1.4 -T ../data/mri_attn_for.mat -p 2.0 -f 200 -r 128   ../data/mri_sino_wattn.mat ex4_recon_64.mat ex4_recon.mat


